KD SOAP API Documentation: KDSoapMessageReader Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
KDSoapMessageReader Class Reference

`#include <KDSoapMessageReader_p.h>`

## Public Types
enum | XmlError { NoError = 0 , ParseError , PrematureEndOfDocumentError }

## Public Member Functions
| KDSoapMessageReader ()
XmlError | xmlToMessage (const QByteArray &data, KDSoapMessage *pParsedMessage, QString *pMessageNamespace, KDSoapHeaders *pRequestHeaders, KDSoap::SoapVersion soapVersion) const

## Detailed Description

Definition at line 17 of file KDSoapMessageReader_p.h.

## Member Enumeration Documentation

## ◆ XmlError

enum KDSoapMessageReader::XmlError

Enumerator
NoError |
ParseError |
PrematureEndOfDocumentError |

Definition at line 20 of file KDSoapMessageReader_p.h.

## Constructor & Destructor Documentation

## ◆ KDSoapMessageReader()

KDSoapMessageReader::KDSoapMessageReader | ( |  | ) |

Definition at line 138 of file KDSoapMessageReader.cpp.

## Member Function Documentation

## ◆ xmlToMessage()

KDSoapMessageReader::XmlError KDSoapMessageReader::xmlToMessage | ( | const QByteArray & | data,
|  | KDSoapMessage * | pParsedMessage,
|  | QString * | pMessageNamespace,
|  | KDSoapHeaders * | pRequestHeaders,
|  | KDSoap::SoapVersion | soapVersion
| ) |  | const

Definition at line 188 of file KDSoapMessageReader.cpp.

References QList::append(), QString::arg(), QXmlStreamReader::characterOffset(), QXmlStreamReader::columnNumber(), KDSoapMessage::createFaultMessage(), QXmlStreamReader::error(), QXmlStreamReader::errorString(), QString::fromLatin1(), handleNotWellFormedError(), QXmlStreamReader::hasError(), QByteArray::isEmpty(), KDSoapMessageAddressingProperties::isWSAddressingNamespace(), QXmlStreamReader::lineNumber(), KDSoapValue::name(), QXmlStreamReader::name(), QXmlStreamReader::namespaceDeclarations(), KDSoapValue::namespaceUri(), QXmlStreamReader::namespaceUri(), NoError, QXmlStreamReader::NotWellFormedError, QString::number(), parseElement(), ParseError, PrematureEndOfDocumentError, QXmlStreamReader::PrematureEndOfDocumentError, QXmlStreamReader::raiseError(), QXmlStreamReader::readNextStartElement(), KDSoapMessage::setFault(), KDSoapMessage::setMessageAddressingProperties(), KDSoapNamespaceManager::soapEnvelope(), KDSoapNamespaceManager::soapEnvelope200305(), QStringRef::toString(), QObject::tr(), and xmlToMessage().

Referenced by KDSoapPendingCall::Private::parseReply(), KDSoapUdpClientPrivate::receivedDatagram(), and xmlToMessage().

The documentation for this class was generated from the following files:

- KDSoapMessageReader_p.h
- KDSoapMessageReader.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8